[PD] starting pd-extended from terminal

james tittle tigital at mac.com
Wed May 10 22:18:14 CEST 2006

hey ben,

On May 10, 2006, at 3:42 PM, B. Bogart wrote:
> So I want to run pd on OSX from the terminal.
> Running the MacOS/Pd binary works, but ignores any arguments.

...this is due to the particulars of building standalone wish-based  
app packages on OSX:  MacOS/Pd isn't pd, but actually wish, which  
then loads pd.tk, which then starts up Resources/bin/pd...in this  
case, just use a ~/.pdrc

> the Resources/bin/pd binary does not seem to find the tk stuff:
> ESMAC001:~/Desktop/Ben lpine$
> /Applications/Pd-extended.app/Contents/Resources/bin/pd -open
> menu-bartest.pd
> dyld: /Applications/Wish Shell.app/Contents/MacOS/Wish Shell version
> mismatch for library: /Library/Frameworks/Tcl.framework/Versions/ 
> 8.5/Tcl
> (compatibility version of user: 8.5.0 greater than library's version:
> 8.4.0)

...here it looks like you're using tcl/tk 8.5 frameworks:   
personally, I've been experimenting with builds like this, but  
haven't released anything (yet)...try grabbing the tcl/tk 8.4  


More information about the Pd-list mailing list